#!/usr/bin/python3
# -*- coding: utf-8 -*-

import smbus
import time

bus = smbus.SMBus(1)    # 0 = /dev/i2c-0 (port I2C0), 1 = /dev/i2c-1 (port I2C1)

DEVICE_ADDRESS = 0x28      #7 bit address (will be left shifted to add the read write bit)
CMD_VREG_WIPER_A = 0x11
CMD_VREG_WIPER_B = 0x12
CMD_VREG_2_WIPERS = 0x13

nVal = 0
try:
	while True:
		bus.write_byte_data(DEVICE_ADDRESS,CMD_VREG_2_WIPERS,nVal)
		print("nVal: %d"%(nVal) )
		time.sleep(1)
		if nVal >= 0xFF:
			nVal = 0
		else:
			nVal += 0xF
except KeyboardInterrupt:
	pass
