import socket
import smbus
import json

UDP_IP = "127.0.0.1"
UDP_PORT = 44444

received_dict = {}

sock = socket.socket(socket.AF_INET, # Internet
                     socket.SOCK_DGRAM) # UDP
sock.bind((UDP_IP, UDP_PORT))

bus = smbus.SMBus(1)    # 0 = /dev/i2c-0 (port I2C0), 1 = /dev/i2c-1 (port I2C1)

DEVICE_ADDRESS = 0x28      #7 bit address (will be left shifted to add the read write bit)
CMD_VREG_WIPER_A = 0x11
CMD_VREG_WIPER_B = 0x12
CMD_VREG_2_WIPERS = 0x13

nVal = 0


while True:
    data, addr = sock.recvfrom(1024) # buffer size is 1024 bytes
    print ("received message:", data.decode('utf-8')[2:-1])
    received_dict = json.loads(data)
    print(received_dict)
    try:
        bus.write_byte_data(DEVICE_ADDRESS,CMD_VREG_WIPER_A,received_dict['White_intensity'])
        bus.write_byte_data(DEVICE_ADDRESS,CMD_VREG_WIPER_B,received_dict['Red_intensity'])
        print("nVal: %d"%(nVal) )
        time.sleep(1)
    except KeyboardInterrupt:
	    pass

